QGIS Application - Bug report #7600
$geometry parameter does not expand to layer geometry column name
2013-04-13 01:05 PM - Jeremy Palmer

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:master Regression?: No
Operating System: ALL Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 16530
Description

Within the QGIS Expression Builder the $geometry parameter does not expand to layer geometry column name when using WFS. The
QGIS Expression to OGC filter always use 'geometry' as the name.

example with layer geometry column "is the_geom"”

QGIS Expression: "intersects($geometry, geomFromWKT('POINT (5 6)"))"

OGC XML:

<ogc:Filter>
<ogc:Intersects>
<ogc:PropertyName>*geometry*</ogc:PropertyName>
<gml:Point><gml:coordinates cs=\\",\\" ts=\\" \\">5.0,6.0</gml:coordinates></gml:Point>
</ogc:Intersects>
</ogc:Filter>

History

#1 - 2014-06-28 07:43 AM - Jiirgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#2 - 2016-01-19 10:36 AM - Even Rouault

The issue seems to be resolved in master

| used the following layer :

http://demo.opengeo.org/geoserver/wfs?SERVICE=WFS&#38;VERSION=1.0.0&#38;REQUEST=GetFeature&#38;TYPENAME=ne:ne_10m_admin_0_c
untries&#38;SRSNAME=EPSG:4326

and expression :
intersects($geometry, geomFromWKT('POINT (2 49)"))

and it selected France as expected.

The geometry name of this layer is the_geom

#3 - 2016-01-19 10:40 AM - Even Rouault
http://demo.opengeo.org/geoserver/wfs?SERVICE=WFS&#38;VERSION=1.0.0&#38;REQUEST=GetFeature&#38;TYPENAME=ne:ne_10m_admin_0_countries&#38;SRSNAME=EPSG:4326
http://demo.opengeo.org/geoserver/wfs?SERVICE=WFS&#38;VERSION=1.0.0&#38;REQUEST=GetFeature&#38;TYPENAME=ne:ne_10m_admin_0_countries&#38;SRSNAME=EPSG:4326

Update: my above comment only applies after adding a WFS layer and using an expression in the table

The issue still exists when adding a filter to a not yet loaded layer.

#4 - 2017-05-01 01:09 AM - Giovanni Manghi
- Regression? set to No
- Easy fix? set to No

#5 - 2019-03-09 04:04 PM - Giovanni Manghi
- Resolution set to end of life
- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR
Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

2025-04-27 22


http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

